Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.plaf.plastic
Class PlasticTheme

    java.lang.Object
      javax.swing.plaf.metal.MetalTheme
          javax.swing.plaf.metal.DefaultMetalTheme
              com.jgoodies.plaf.plastic.PlasticTheme

Direct Known Subclasses:
  InvertedColorTheme, SkyBluer

public abstract class PlasticTheme
extends DefaultMetalTheme

Unlike its superclass this theme class has relaxed access.

Author:
  Karsten Lentzsch

Field Summary
`protected static ColorUIResource` | `BLACK`
`static Color` | `BRIGHTEN_START`
`static Color` | `BRIGHTEN_STOP`
`protected FontUIResource` | `controlFont`
`static Color` | `DARKEN_START`
`static Color` | `DARKEN_STOP`
`static Color` | `LT_BRIGHTEN_STOP`
`static Color` | `LT_DARKEN_STOP`
`protected FontUIResource` | `smallFont`
`protected FontUIResource` | `systemFont`
`protected FontUIResource` | `titleFont`
`protected FontUIResource` | `userFont`
`protected static ColorUIResource` | `WHITE`

Constructor Summary
`PlasticTheme()`

Method Summary
`protected ColorUIResource` | `getBlack()`
`FontUIResource` | `getControlTextFont()`
`protected FontUIResource` | `getFont()`
`protected Font` | `getFont0()`
`ColorUIResource` | `getMenuForeground()`
`ColorUIResource` | `getMenuItemBackground()`
`ColorUIResource` | `getMenuItemSelectedBackground()`
`ColorUIResource` | `getMenuItemSelectedForeground()`
`FontUIResource` | `getMenuTextFont()`
`ColorUIResource` | `getSimpleInternalFrameBackground()`
`ColorUIResource` | `getSimpleInternalFrameForeground()`
`FontUIResource` | `getSubTextFont()`
`ColorUIResource` | `getSystemTextColor()`
`FontUIResource` | `getSystemTextFont()`
`ColorUIResource` | `getTitleTextColor()`
`FontUIResource` | `getTitleTextFont()`
`ColorUIResource` | `getToggleButtonCheckColor()`
`FontUIResource` | `getUserTextFont()`
`protected ColorUIResource` | `getWhite()`
`FontUIResource` | `getWindowTitleFont()`

Methods inherited from class javax.swing.plaf.metal.DefaultMetalTheme
`getName, getPrimary1, getPrimary2, getPrimary3, getSecondary1, getSecondary2, getSecondary3`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`addCustomEntriesToTable, getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getFocusColor, getHighlightedTextColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getMenuSelectedBackground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorBackground, getSeparatorForeground, getTextHighlightColor, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DARKEN_START

    public static final Color DARKEN_START

### DARKEN_STOP

    public static final Color DARKEN_STOP

### LT_DARKEN_STOP

    public static final Color LT_DARKEN_STOP

### BRIGHTEN_START

    public static final Color BRIGHTEN_START

### BRIGHTEN_STOP

    public static final Color BRIGHTEN_STOP

### LT_BRIGHTEN_STOP

    public static final Color LT_BRIGHTEN_STOP

### WHITE

    protected static final ColorUIResource WHITE

### BLACK

    protected static final ColorUIResource BLACK

### titleFont

    protected FontUIResource titleFont

### controlFont

    protected FontUIResource controlFont

### systemFont

    protected FontUIResource systemFont

### userFont

    protected FontUIResource userFont

### smallFont

    protected FontUIResource smallFont

Constructor Detail

### PlasticTheme

    public PlasticTheme()

Method Detail

### getBlack

    protected ColorUIResource getBlack()

### getWhite

    protected ColorUIResource getWhite()

### getSystemTextColor

    public ColorUIResource getSystemTextColor()

### getTitleTextColor

    public ColorUIResource getTitleTextColor()

### getMenuForeground

    public ColorUIResource getMenuForeground()

### getMenuItemBackground

    public ColorUIResource getMenuItemBackground()

### getMenuItemSelectedBackground

    public ColorUIResource getMenuItemSelectedBackground()

### getMenuItemSelectedForeground

    public ColorUIResource getMenuItemSelectedForeground()

### getSimpleInternalFrameForeground

    public ColorUIResource getSimpleInternalFrameForeground()

### getSimpleInternalFrameBackground

    public ColorUIResource getSimpleInternalFrameBackground()

### getToggleButtonCheckColor

    public ColorUIResource getToggleButtonCheckColor()

### getTitleTextFont

    public FontUIResource getTitleTextFont()

### getControlTextFont

    public FontUIResource getControlTextFont()

### getMenuTextFont

    public FontUIResource getMenuTextFont()

### getSubTextFont

    public FontUIResource getSubTextFont()

### getSystemTextFont

    public FontUIResource getSystemTextFont()

### getUserTextFont

    public FontUIResource getUserTextFont()

### getWindowTitleFont

    public FontUIResource getWindowTitleFont()

### getFont

    protected FontUIResource getFont()

### getFont0

    protected Font getFont0()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.